IntelliDatamanager Namespace Reference

## Functions

bool | loadProject (PaintingArea *Canvas, QString filePath="unnamed.idf")
| loadProject loads a project from a file, closes current project. More...
bool | saveProject (PaintingArea *Canvas, QString filePath="unnamed.idf")
| saveProject saves the current project to a file. More...

## Function Documentation

## loadProject()

bool IntelliDatamanager::loadProject | ( | PaintingArea * | Canvas,
|  | QString | filePath = `"unnamed.idf"`
| ) |  |

loadProject loads a project from a file, closes current project.

Parameters

  Canvas | - Reference to the used Canvas.
  filePath | - Filepath to the project which should be opened.

Returns
  True if everything worked, false otherwise.

Definition at line 50 of file IntelliDatamanager.cpp.

## saveProject()

bool IntelliDatamanager::saveProject | ( | PaintingArea * | Canvas,
|  | QString | filePath = `"unnamed.idf"`
| ) |  |

saveProject saves the current project to a file.

Parameters

  Canvas | - Reference to the used Canvas.
  filePath | - Filepath to the project which should be saved.

Returns
  True if everything worked, false otherwise.

Definition at line 4 of file IntelliDatamanager.cpp.